<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8"/>
        <script src="https://cdn.jsdelivr.net/npm/chart.js@2.9.3/dist/Chart.min.js"></script>
        <script src="all.js"></script>
    </head>
    <body>
    <h1>fibo</h1>
    <p>n : <input type="number" id="my_fibo_n" min="2" max="21" onInput="updateFibo()" value="10"/> </p>
    <div style="width: 640px; height: 480px;"> <canvas id="container_fibo"> </canvas> </div>

    <h1>sinus</h1>
    <p>a : <input type="number" id="my_sinus_a" min="0" max="10" onInput="updateSinus()" value="1" step="0.1"/> </p>
    <p>b : <input type="number" id="my_sinus_b" min="0" max="10" onInput="updateSinus()" value="0" step="0.1"/> </p>
    <div style="width: 640px; height: 480px;"> <canvas id="container_sinus"> </canvas> </div>
</body>


    <script>

function createPlot(yTitle, container) {
    const ctx = document.getElementById(container).getContext('2d');
    return new Chart(ctx, {
        type: 'line',
        options: {
            animation: false,
            legend: {
                display: false,
            },
            scales: {
                xAxes: [{
                    type: 'linear'
                }],
                yAxes: [{
                    display: true,
                    scaleLabel: {
                        display: true,
                        labelString: yTitle
                    }
                }]
            }
        }
    });
}

let chartFibo = {};

function updateFibo() {
    const n = parseInt(my_fibo_n.value);
    const dpFibo = Array.from({length: n}, (_,i) => ({x: i, y: Module.fiboIterative(i)}));
    chartFibo.data = {
        datasets: [{
            data: dpFibo,
            borderColor: 'green',
            fill: false,
            lineTension: 0
        }]
    };
    chartFibo.update();
}

let chartSinus = {};

function updateSinus() {
    let a = parseFloat(my_sinus_a.value);
    let b = parseFloat(my_sinus_b.value);
    const dpSinus = Array.from({length: 100}, (_,i) => ({x: i/100, y: Module.sinusFunc(a, b, i / 100)}));
    chartSinus.data = {
        datasets: [{
            data: dpSinus,
            borderColor: 'green',
            fill: false,
            lineTension: 0
        }]
    };
    chartSinus.update();
}

Module.onRuntimeInitialized = function () {
    chartFibo = createPlot('fiboIterative', 'container_fibo');
    updateFibo();
    chartSinus = createPlot('sinusFunc', 'container_sinus');
    updateSinus();
};



</script>

    </body>
</html>


